key: github
title: GitHub
description: GitHub Inc. is a web-based hosting service for version control using Git.
author: requarks.io
logo: https://static.requarks.io/logo/github.svg
color: grey darken-3
website: https://github.com
isAvailable: true
useForm: false
props:
  clientId:
    type: String
    title: Client ID
    hint: Application Client ID
    order: 1
  clientSecret:
    type: String
    title: Client Secret
    hint: Application Client Secret
    order: 2
  useEnterprise:
    type: Boolean
    title: Use GitHub Enterprise
    hint: Enable if you're using the self-hosted GitHub Enterprise version
    default: false
    order: 3
  enterpriseDomain:
    type: String
    title: GitHub Enterprise Domain
    hint: GitHub Enterprise Only - Domain of your installation (e.g. github.company.com). Leave blank otherwise.
    default: ''
    order: 4
  enterpriseUserEndpoint:
    type: String
    title: GitHub Enterprise User Endpoint
    hint: GitHub Enterprise Only - Endpoint to fetch user details (e.g. https://api.github.com/user). Leave blank otherwise.
    default: 'https://api.github.com/user'
    order: 5

